﻿@using TaskTracker.Extensions;
@model ProjectModel

<div>
    <div class="d-flex justify-content-between mb-3">
        <div>
            @if(ViewBag.CreateTask)
            {
                <button class="btn btn-primary" onclick="initCreateIssue(@Model.Id)"> + Create New Task </button>
            }
        </div>
    </div>
    <table class="table task-table align-middle text-nowrap">
        <colgroup>
            <col class="" />
            <col class="w-10" />
            <col class="w-10" />
            <col class="w-10" />
        </colgroup>
        <thead>
            <tr>
                <th>Task </th>
                <th class="text-end">Due Date</th>
                <th class="text-center">Priority</th>
                <th class="text-center">Assignee</th>
                <th class="text-center">Action</th>
            </tr>
        </thead>



        @foreach(var status in Model.Statuses){
             var issues = Model.Issues.Where(x => x.StatusId == status.Id).ToList();
            <tbody class="section-header" data-status="@status.Id">
                <tr>
                    <td colspan="5" class="py-1">
                        <div class="status-header d-inline-block align-items-center p-2 text-@status.ColorCode" data-bs-toggle="collapse" href="#@($"status-group-{status.Id}")">
                            <span class="fa fa-angle-right right"> </span>
                            <span class="fa fa-angle-down down mt-1"></span>
                            <strong>
                                <span>@status.Description</span> <span class="issue-count">(@issues.Count)</span>
                            </strong>
                        </div>
                    </td>
                </tr>
            </tbody>

            <tbody class="section-body collapse show" data-status="@status.Id" id="@($"status-group-{status.Id}")">
                @foreach (var issue in issues)
                {
                    @await Html.PartialAsync("~/Views/Issue/_IssueEntry.cshtml", issue)
                } 
            </tbody>
        }
    </table>
</div>
<div class="issue-preview-container"></div>